Summary:        A list of all known public suffixes
Name:           publicsuffix-list
Version:        20240106
Release:        1%{?dist}
License:        MPLv2.0
URL:            https://publicsuffix.org/
Source0:        https://publicsuffix.org/list/public_suffix_list.dat
Source1:        https://www.mozilla.org/media/MPL/2.0/index.txt
Source2:        https://github.com/publicsuffix/list/raw/master/tests/test_psl.txt

BuildRequires:  psl-make-dafsa

BuildArch:      noarch

%description
A "public suffix" is one under which Internet users can (or historically could)
directly register names. Some examples of public suffixes are .com, .co.uk and
pvt.k12.ma.us. The Public Suffix List is a list of all known public suffixes.

%package dafsa
Summary:        A list of all known public suffixes in DAFSA form

%description dafsa
This package includes a DAFSA representation of the Public Suffix List
for runtime loading.

%prep
%autosetup -c -T
cp -av %{SOURCE0} .

%build
LC_CTYPE=C.UTF-8 \
psl-make-dafsa --output-format=binary \
  public_suffix_list.dat public_suffix_list.dafsa

%install
install -m 644 -p -v %{SOURCE1} COPYING
install -m 644 -p -D public_suffix_list.dafsa %{buildroot}%{_datadir}/publicsuffix/public_suffix_list.dafsa
install -m 644 -p -D %{SOURCE0} %{buildroot}%{_datadir}/publicsuffix/public_suffix_list.dat
install -m 644 -p -D %{SOURCE2} %{buildroot}%{_datadir}/publicsuffix/test_psl.txt
ln -s public_suffix_list.dat %{buildroot}%{_datadir}/publicsuffix/effective_tld_names.dat

%files
%license COPYING
%dir %{_datadir}/publicsuffix
%{_datadir}/publicsuffix/effective_tld_names.dat
%{_datadir}/publicsuffix/public_suffix_list.dat
%{_datadir}/publicsuffix/test_psl.txt

%files dafsa
%license COPYING
%dir %{_datadir}/publicsuffix
%{_datadir}/publicsuffix/public_suffix_list.dafsa

%changelog
* Thu Jan 11 2024 Doris Chao <doriscchao@tencent.com> - 20240106-1
- Upgrade version to 20240106

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20220703-3
- Rebuilt for OpenCloudOS Stream 23.09

* Wed May 10 2023 Miaojun Dong <zoedong@tencent.com> - 20220703-2
- Rebuilt for OpenCloudOS Stream 23

* Wed May 10 2023 Miaojun Dong <zoedong@tencent.com> - 20220703-1
- initial build
